
NetPoints::usage = "NetPoints[{x0, x1, dx}, {y0, y1, dy}] gives a list of 
points with x coordinates running from x0 to x1 in steps of dx and y 
coordinates running from y0 to y1 in steps of dy.
Each of NetPoints[x, {y0, y1, dy}] and NetPoints[{x0, x1, dx}, y] gives a list 
of points, also."

NetPoints[{x0_, x1_, dx_}, {y0_, y1_, dy_}] := 
	Point /@ Flatten[NetTriples[{x0, x1, dx}, {y0, y1, dy}], 1]

NetPoints[x_, {y0_, y1_, dy_}] := Point /@ NetTriples[x, {y0, y1, dy}]

NetPoints[{x0_, x1_, dx_}, y_] := Point /@ NetTriples[{x0, x1, dx}, y]

