
PolarPoints::usage = 
"PolarPoints[{r0, r1, dr}, {t0, t1, dt}] gives a list of points with r 
coordinates running from r0 to r1 in steps of dr and t coordinates running 
from t0 to t1 in steps of dt.
Each of PolarPoints[r, {t0, t1, dt}] and PolarPoints[{r0, r1, dr}, t] gives 
a list of points, also."

PolarPoints[{r0_, r1_, dr_}, {t0_, t1_, dt_}] := 
	Point /@ Flatten[PolarTriples[{r0, r1, dr}, {t0, t1, dt}], 1]

PolarPoints[r_, {t0_, t1_, dt_}] := Point /@ PolarTriples[r, {t0, t1, dt}]

PolarPoints[{r0_, r1_, dr_}, t_] := Point /@ PolarTriples[{r0, r1, dr}, t]

