
SphereTriples::usage = 
"SphereTriples[{u0, u1, du}, {v0, v1, dv}] gives a nested list of triples that 
are on the parts of great circles on the sphere through the north and south 
poles between the angles 2 pi u0 and 2 pi u1 with a spacing of 2 pi du. The parts are delimited by the latitudes at the angles pi v0 and pi v1 with a spacing of pi dv. 
Each of SphereTriples[u, {v0, v1, dv}] and SphereTriples[{u0, u1, du}, v] 
gives a list of triples."

SphereTriples[{u0_, u1_, du_}, {v0_, v1_, dv_}] := 
	ToSphere @ NetTriples[{u0, u1, du}, {v0, v1, dv}] 

SphereTriples[u_, {v0_, v1_, dv_}] := ToSphere @ NetTriples[u, {v0, v1, dv}] 

SphereTriples[{u0_, u1_, du_}, v_] := ToSphere @ NetTriples[{u0, u1, du}, v] 

