
PlaneRightBisector::usage = "PlaneRightBisector[l] is the plane perpendicular 
to the line segment l at its midpoint." 

PlaneRightBisector[l:Line @ {p_, q_}] := Module[{c, d, e},
	c = (p + q) / 2;
	d = p + Unit @ Cross[c - p, If[Cross[q - p, $i - p] == $o, 
			Cross[q - p, $j - p],
			Cross[q - p, $i - p]]];
	e = Rotate[N[Pi/2], l][d];
	Plane[{c, d, e}]
]
	