
Cover::usage = "Cover[l], where l is a list of lines (each with the same 
number of triples), gives a list of quadrilaterals. Each quadrilateral has 
two opposite sides on corresponding line segments from successive pairs of l."

Cover[Line @ l_, Line @ m_] := Polygon @ Flatten[#, 1]& /@ Thread[
	{
		Partition[l, 2, 1],
		Reverse /@ Partition[m, 2, 1]
	}
]

Cover[l_List] := Cover @@ # & /@ Partition[l, 2, 1]

