
EdgesAroundFace::usage = " EdgesAroundFace[face], where face is a list of 
indices of vertices, gives the successive pairs of the members of face, i.e., 
indices of the sides of face."

EdgesAroundFaces::usage = "EdgesAroundFaces[faces], where faces is a list of 
lists of indices of the vertices for the faces of a polyhedron, gives the 
indices of the vertices for the edges of those faces."

EdgesAroundFace @ face_ := Partition[Append[face, First @ face], 2, 1]

EdgesAroundFaces @ faces_ := Flatten[EdgesAroundFace /@ faces, 1]

