
Hoop::usage = "Hoop[u, r, n], where u is a 3d circle, r is a positive number 
and n is a positive integer, gives the graphics for a tube around u with cross 
section a regular n-gon of radius r."

Hoop[u_Circle3D, r_, n_] := Module[
	{l},
	l = Line /@ Partition[First @ PreDraw3D @ u, 2, 1];
	Cover @ PreDraw3D @ Wheel[Append[l, First @ l], r, n] 
]

