
Tiles6::uage = "Tiles6[l], where l is an m by n array of points, gives the 
hexagonal tiling - a list of faces (indices of vertices) and vertices - 
based on l."

Tiles6 @ l_ := Module[
	{m, n, i, j, topfaces},
	{m, n} = Take[Dimensions @ l, 2];
	topfaces = Flatten[
	Transpose[
		{
			Table[(i - 1) n + j, 	{i, 1, m - 3}, {j, 1, n - 3}], 
			Table[i n + j, 		{i, 1, m - 3}, {j, 1, n - 3}], 
			Table[(i + 1) n + j + 1,{i, 1, m - 3}, {j, 1, n - 3}], 
			Table[(i + 1) n + j + 2,{i, 1, m - 3}, {j, 1, n - 3}], 
			Table[i n + j + 2,	{i, 1, m - 3}, {j, 1, n - 3}], 
			Table[(i - 1) n + j + 1,{i, 1, m - 3}, {j, 1, n - 3}] 
		},
		{3, 2, 1}
	],
	1
];
	{
		Join[topfaces, Append[#, m n + 1] & /@ 
			SingletonEdges @ EdgesAroundFaces @ topfaces],
		Join[#, {Centroid @ # - $k}]& @ Flatten[l, 1]
	}
]

