
Cube /: OppositeVertex[Cube, v_] := Block[
	{m = Mod[v + 4, 8]}, 
	If[m == 0, 8, m]
	]

Cube /: Valence[Vertices, 	Cube] = 3
Cube /: Valence[Edges, 		Cube] = 2
Cube /: Valence[Faces, 		Cube] = 4

Cube /: Vef[Vertices, 		Cube] = 8
Cube /: Vef[Edges, 		Cube] = 12
Cube /: Vef[Faces, 		Cube] = 6

Cube /: Edges[Cube] = {
	{1, 2}, 	{2, 3}, 	{3, 4}, 	{4, 1},
	{1, 4}, 	{4, 6}, 	{6, 7}, 	{7, 1},
	{1, 7}, 	{7, 8}, 	{8, 2}, 	{2, 1},
	{2, 8}, 	{8, 5}, 	{5, 3}, 	{3, 2},
	{5, 8}, 	{8, 7}, 	{7, 6}, 	{6, 5},
	{3, 5}, 	{5, 6}, 	{6, 4}, 	{4, 3}} 

Cube /: FaceColours[Cube] = {Blue, Cyan, Magenta, Yellow, Red, Green};

Cube /: ColourOpposites[Vertices, Cube] = 
	{Red, Blue, Green, Magenta, Red, Blue, Green, Magenta}

Cube /: ColourOpposites[Edges, Cube] = { 
	Blue, Cyan, Magenta, Yellow,
	Yellow, Red, Cyan, Green,
	Green, Magenta, Red, Blue,
	Red, Yellow, Green, Cyan,
	Yellow, Magenta, Cyan, Blue,
	Green, Blue, Red, Magenta} 

Cube /: ColourOpposites[Faces, Cube] = 
	{Red, Blue, Green, Blue, Red, Green};

