
CentresOfCurvature::usage ="CentresOfCurvature[f, l, n, du] gives the graphics 
for the curve f: R -> R ^ 3 at n equally spaced points from -1 to 1 together 
with the centres of the circles of curvature to the curve at f[l], where l is 
a list or number."

CentresOfCurvature[f_, l_List, n_:120, du_:.01] := 
	{
		{
			Blue, Thickness[.0025], 
			Line[f /@ Range[-1, 1, 2 / (n - 1)]]
		},
		{
			Magenta, 
			Point /@ CentreOfCurvature[f, l, du]
		}
	} 

