
CoplanarQ::usage = "CoplanarQ[{p, q, r, s}] is true if and only if the points 
p, q, r and s are in the same plane."

CoplanarQ @ {p_, q_, r_, s_} := Or[
	CollinearQ @ {q, r, s},
	CollinearQ @ {p, r, s}, 
	CollinearQ @ {p, q, s}, 
	CollinearQ @ {p, q, r}, 
	$o == Cross[
		PlaneNormal @ Plane @ {p, q, r},
		PlaneNormal @ Plane @ {q, r, s}
	]
]

