
GreatArc::usage = "GreatArc[p, q, (n:60)], where p and q are points of norm 
1, gives the shortest curve on the sphere from p to q as a polygonal line."

GreatArc[p_, q_, n_:60] := Line @ 
	Rotate[
		Range[0, #, # / (Floor[# / (2 N[Pi]) n])]& @ Angle[p, q], 
		Line @ {PlaneNormal @ Plane @ {p, $o, q}, $o}
	] @ p

