
Polar::usage = "Polar[p, u], where p is a point and u is a circle, is the 
line which is perpendicular to the line joining p to the center of u and 
passing through the inverse of p in u."

Polar[p_, Circle[c_, r_]] := 
	Perpendicular[Line @ {p, c}, Invert[p, Circle[c, r]]] 

Polar[u_Circle, p_] := Polar[p, u]

