
Tangent::usage = "Tangent[f, u, x, du] gives the ray of length x along the 
tangent to f: R -> R ^ 3 at f[u]."

Tangent[f_, u_?NumberQ, x_?NumberQ, du_:.01] := 
	Ray[Line[{f[u], f[u + du]}], x] 

Tangent[f_, l_List, x_?NumberQ, du_:.01] := Tangent[f, #, x, du] & /@ l 
