
Dodecahedron /: OppositeVertex[Dodecahedron, v_] := 21 - v

Dodecahedron /: Valence[Vertices, 	Dodecahedron] = 3
Dodecahedron /: Valence[Edges, 		Dodecahedron] = 2
Dodecahedron /: Valence[Faces, 		Dodecahedron] = 5

Dodecahedron /: Vef[Vertices, 		Dodecahedron] = 20
Dodecahedron /: Vef[Edges, 		Dodecahedron] = 30
Dodecahedron /: Vef[Faces, 		Dodecahedron] = 12

Dodecahedron /: Edges[Dodecahedron] = {
{3, 1}, 	{1, 2}, 	{2, 5}, 	{5, 6}, 	{6, 3}, 
{12, 11}, 	{11, 5}, 	{5, 2}, 	{2, 7}, 	{7, 12}, 
{17, 13}, 	{13, 6}, 	{6, 5}, 	{5, 11}, 	{11, 17},
{14, 9}, 	{9, 3}, 	{3, 6}, 	{6, 13}, 	{13, 14}, 
{10, 4}, 	{4, 1}, 	{1, 3}, 	{3, 9}, 	{9, 10}, 
{8, 7}, 	{7, 2}, 	{2, 1}, 	{1, 4}, 	{4, 8}, 
{4, 10}, 	{10, 16}, 	{16, 15}, 	{15, 8}, 	{8, 4},
{9, 14}, 	{14, 19}, 	{19, 16}, 	{16, 10}, 	{10, 9},
{13, 17}, 	{17, 20}, 	{20, 19}, 	{19, 14}, 	{14, 13},
{11, 12}, 	{12, 18}, 	{18, 20}, 	{20, 17}, 	{17, 11},
{7, 8}, 	{8, 15}, 	{15, 18}, 	{18, 12}, 	{12, 7},
{18, 15}, 	{15, 16}, 	{16, 19}, 	{19, 20}, 	{20, 18}} 

Dodecahedron /: FaceColours[Dodecahedron] = {Red, Green, Blue, Orange, 
	Magenta, Yellow, Brown, Cyan, Khaki, DarkSlateBlue, Gold, Purple} 

Dodecahedron /: EdgeColours[Dodecahedron] = {
Cyan, Red, Blue, Green, Magenta, 	Red, Cyan, Blue, Magenta, Green, 
Blue, Red, Green, Cyan, Magenta, 	Green, Blue, Magenta, Red, Cyan, 
Magenta, Green, Cyan, Blue, Red, 	Cyan, Magenta, Red, Green, Blue, 
Magenta, Cyan, Green, Red, Blue, 	Green, Magenta, Blue, Cyan, Red, 
Blue, Green, Red, Magenta, Cyan, 	Red, Blue, Cyan, Green, Magenta, 
Cyan, Red, Magenta, Blue, Green, 	Magenta, Green, Blue, Red, Cyan} 


Dodecahedron /: ColourOpposites[Vertices, Dodecahedron] = {
	Green, Red, Blue, Cyan, Magenta, 	
	Yellow, Orange, Brown, Violet, Maroon} 

Dodecahedron /: ColourOpposites[Edges, Dodecahedron] = {
Green, Red, Blue, Cyan, Magenta, 	Yellow, Orange, Blue, Brown, Violet, 
Gold, Purple, Cyan, Orange, Coral, 	Violet, Maroon, Magenta, Purple, Pink, 
Coral, Sienna, Green, Maroon, Yellow, 	Pink, Brown, Red, Sienna, Gold, 
Coral, Orange, Cyan, Purple, Gold, 	Violet, Brown, Blue, Orange, Yellow, 
Gold, Sienna, Red, Brown, Pink, 	Yellow, Maroon, Green, Sienna, Coral, 
Pink, Purple, Magenta, Maroon, Violet, 	Magenta, Cyan, Blue, Red, Green} 

Dodecahedron /: ColourOpposites[Faces, Dodecahedron] = {
	Blue, Cyan, Magenta, Yellow, Red, Green, 
	Magenta, Cyan, Green, Red, Yellow, Blue} 

Dodecahedron /: Squares[Dodecahedron] = {
{2,6,9,4}, 	{4,7,5,3}, 	{1,7,11,6}, 	{2,11,13, 3}, 	{1,5,13,9},
{5,7,18,17}, 	{2,12,17,6}, 	{1,7,11,6}, 	{1,8,12,5}, 	{2,8,18,11},
{6,11,20,14}, 	{3,5,17,14}, 	{2,11,13,3}, 	{2,12,17,6}, 	{5,12,20,13},
{3,13,19,10}, 	{1,6,14,10}, 	{1,5,13,9}, 	{3,5,17,14}, 	{9,6,17,19},
{1,9,16,8},	{2,3,10,8},	{2,6,9,4},	{1,6,14,10}, 	{3,14,16,4},
{2,4,15,12},	{1,8,12,5},	{4,7,5,3},	{2,3,10,8},	{1,10,15,7},
{1,9,16,8},	{4,9,19,15},	{8,10,19,18},	{4,16,18,7},	{1,10,15,7},
{3,13,19,10},	{9,13,20,16},	{10,14,20,15},	{4,9,19,15},	{3,14,16,4},
{6,11,20,14},	{13,11,18,19},	{14,17,18,16},	{9,13,20,16},	{9,6,17,19},
{5,7,18,17},	{7,15,20,11},	{15,19,17,12},	{13,11,18,19},	{5,12,20,13},
{2,4,15,12},	{4,16,18,7},	{12,8,16,20},	{7,15,20,11},	{2,8,18,11},
{12,8,16,20},	{8,10,19,18},	{10,14,20,15},	{14,17,18,16},	{15,19,17,12}
	};


