
Icosahedron /: OppositeVertex[Icosahedron, v_] := Module[
	{m = Mod[v + 6, 12]}, 
	If[m == 0, 12, m]
	]

Icosahedron /: Valence[Vertices, 	Icosahedron] = 5
Icosahedron /: Valence[Edges, 		Icosahedron] = 2
Icosahedron /: Valence[Faces, 		Icosahedron] = 3

Icosahedron /: Vef[Vertices, 		Icosahedron] = 12
Icosahedron /: Vef[Edges, 		Icosahedron] = 30
Icosahedron /: Vef[Faces, 		Icosahedron] = 20

Icosahedron /: Edges[Icosahedron] = {
	{1, 2}, {2, 6}, {6, 1}, 	{1, 3}, {3, 2}, {2, 1}, 
	{1, 4}, {4, 3}, {3, 1}, 	{1, 5}, {5, 4}, {4, 1}, 
	{1, 6}, {6, 5}, {5, 1}, 	{2, 3}, {3, 11}, {11, 2}, 
	{2, 10}, {10, 6}, {6, 2}, 	{2, 11}, {11, 10}, {10, 2}, 
	{3, 4}, {4, 12}, {12, 3}, 	{3, 12}, {12, 11}, {11, 3}, 
	{4, 5}, {5, 8}, {8, 4}, 	{4, 8}, {8, 12}, {12, 4}, 
	{5, 6}, {6, 9}, {9, 5}, 	{5, 9}, {9, 8}, {8, 5}, 
	{6, 10}, {10, 9}, {9, 6}, 	{7, 8}, {8, 9}, {9, 7}, 
	{7, 9}, {9, 10}, {10, 7}, 	{7, 10}, {10, 11}, {11, 7}, 
	{7, 11}, {11, 12}, {12, 7}, 	{7, 12}, {12, 8}, {8, 7}} 

Icosahedron /: FaceColours[Icosahedron] =
	{Green, Red, Blue, Orange, Magenta, 
	Yellow, Brown, Cyan, Khaki, DarkSlateBlue, 
	DarkOrchid, Purple, DarkOliveGreen, Coral, MidnightBlue, 
	DarkTurquoise, BlueViolet, Firebrick, Maroon, Pink}; 

