
Incircle::usage = "Incircle[{p, q, r}], where p, q, and r are points, is the 
circle internally tangent to the three lines joining the points."

Incircle @ {p_, q_, r_} := Module[
	{c, s},
	c = Incentre @ {p, q, r};
	s = Distance[c, Line @ {q, r}];
	Circle[c, s] 
] 

